Pod init nicht möglich.

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • Pod init nicht möglich.

    Hallo Leute,

    vor ein paar Tagen habe ich mein Macbook auf "macOS Catalina " aktualisiert.
    Heute habe ich ein neues Projekt begonnen. Wollte im Terminal Pod Init ausführen was aber nicht geht.
    Bilder
    • Bildschirmfoto 2019-10-20 um 13.43.28.png

      305,46 kB, 1.376×784, 20 mal angesehen
    • Bildschirmfoto 2019-10-20 um 13.37.05.png

      164,61 kB, 1.214×804, 14 mal angesehen
  • Nur mal angemerkt: Copy&Paste geht einfacher und lässt sich besser lesen als so ein Screenshot. Damit kann man auch wunderbar nach Fehlern im Internet suchen.

    Schon die Isssus von CocoaPods kurz durchstöbert?

    Kann es sein, dass sich die Ruby Version beim Updaten geändert hat? - Ich würde das einfach nochmal installieren und wenn der Fehler wieder auftritt nach dem Fehler googeln bzw. die Issues bei GitHub ankucken, ob da etwas ist.
  • manoh schrieb:



    Ruf mal gem list im Terminal auf, um zu kontrollieren, ob das Gem cocoapods-core vorhanden ist.
    activesupport (4.2.11.1)
    algoliasearch (1.27.1)
    atomos (0.1.3)
    bigdecimal (default: 1.4.1)
    bundler (default: 1.17.2)
    CFPropertyList (2.3.6)
    claide (1.0.3)
    cmath (default: 1.0.0)
    cocoapods (1.8.4)
    cocoapods-core (1.8.4)
    cocoapods-deintegrate (1.0.4)
    cocoapods-downloader (1.2.2)
    cocoapods-plugins (1.0.0)
    cocoapods-search (1.0.0)
    cocoapods-stats (1.1.0)
    cocoapods-trunk (1.4.1)
    cocoapods-try (1.1.0)
    colored2 (3.1.2)
    concurrent-ruby (1.1.5)
    csv (default: 3.0.9)
    date (default: 2.0.0)
    dbm (default: 1.0.0)
    did_you_mean (1.3.0)
    e2mmap (default: 0.1.0)
    escape (0.0.4)
    etc (default: 1.0.1)
    fcntl (default: 1.0.0)
    fiddle (default: 1.0.0)
    fileutils (default: 1.1.0)
    forwardable (default: 1.2.0)
    fourflusher (2.3.1)
    fuzzy_match (2.0.4)
    gh_inspector (1.1.3)
    httpclient (2.8.3)
    i18n (0.9.5)
    io-console (default: 0.4.7)
    ipaddr (default: 1.2.2)
    irb (default: 1.0.0)
    json (default: 2.1.0)
    libxml-ruby (3.1.0)
    logger (default: 1.3.0)
    matrix (default: 0.1.0)
    mini_portile2 (2.4.0)
    minitest (5.11.3)
    molinillo (0.6.6)
    mutex_m (default: 0.1.0)
    nanaimo (0.2.6)
    nap (1.1.0)
    net-telnet (0.2.0)
    netrc (0.11.0)
    nokogiri (1.10.1)
    openssl (default: 2.1.2)
    ostruct (default: 0.1.0)
    power_assert (1.1.3)
    prime (default: 0.1.0)
    psych (default: 3.1.0)
    rake (12.3.2)
    rdoc (default: 6.1.0)
    rexml (default: 3.1.9)
    rss (default: 0.2.7)
    ruby-macho (1.4.0)
    scanf (default: 1.0.0)
    sdbm (default: 1.0.0)
    shell (default: 0.7)
    sqlite3 (1.3.13)
    stringio (default: 0.0.2)
    strscan (default: 1.0.0)
    sync (default: 0.5.0)
    test-unit (3.2.9)
    thread_safe (0.3.6)
    thwait (default: 0.1.0)
    tracer (default: 0.1.0)
    tzinfo (1.2.5)
    webrick (default: 1.4.2)
    xcodeproj (1.13.0)
    xmlrpc (0.3.0)
    zlib (default: 1.0.0)